exportStatistics15min(data: IGetStatisticsExport15min)

Requires:
@tuya-miniapp/cloud-api≥1.0.5

Description

15-minute interval; export the device's statistics for the specified date.

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<boolean>
true indicates the export request succeeded (the sample response in the docs is true)

Valid Values

ICommonGetStatisticsExport.type
ValueDescriptionSince
sum--
avg--
minux--
max--
min--
count--
recent--

Examples

Request example

import { exportStatistics15min } from '@tuya-miniapp/cloud-api';

exportStatistics15min({
  devId: 'vdevo161733425146241',
  email: 'xxxdemo@*.com',
  dpExcelQuery: [{ dpId: 18, name: 'Excel data column title' }],
  date: '20230510',
  type: 'avg',
  lang: 'cn',
  title: 'This is a title',
})
  .then((response) => {
    console.log(response);
  })
  .catch();

Response example

true